Get Platform Info

Get Platform Info
Get platform info

Get information about the platform.

Request
URI
GET
https://api.example.local/v3/info
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "name": "string",
    "build": "string",
    "version": 0,
    "description": "string",
    "cli_version": {
        "minimum": "string",
        "recommended": "string"
    },
    "custom": {
        "custom": "string"
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "support": {
            "href": "string",
            "method": "string"
        }
    }
}
string
name
Optional

Name of the platform

string
build
Optional

Build number of the platform

integer
version
Optional

Version number of the platform

string
description
Optional

Description of the platform

object
cli_version
Optional

Minimum and recommended CLI versions

object
custom
Optional

Custom information about the platform

object
links
Optional

Links to related resources


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


502

Bad Gateway

Returns BadGateway of type(s) application/json
{
    "code": 0,
    "detail": "string",
    "title": "string"
}
integer
code
Optional

A numeric code for this error

string
detail
Optional

Detailed description of the error

string
title
Optional

Name of the error


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/info